Status: Resolved Priority: Should have
Author: Robert Lemke Category: Http
Created: 2012-08-30 Assigned To: Robert Lemke
Updated: 2012-08-30 Due date:
PHP Version: 5.4
Has patch: No
Complexity: medium
Subject: cURL request engine for HTTP browser
Description

Provide a new request engine, based on cURL, which can be used with the virtual browser contained in FLOW3's HTTP foundation.

Associated revisions
Revision 20a8c74c - 2012-08-30 15:35 - Robert Lemke

[FEATURE] cURL request engine for HTTP browser

This provides a new request engine, based on cURL,
which can be used with the virtual browser contained
in FLOW3's HTTP foundation. It can be used to send
requests and receive responses via HTTP.

This patch also contains a few minor modifications in
the RequestEngineInterface and InternalRequestEngine
class.

Releases: 1.2
Resolves: #40414
Change-Id: Id58e791185c8d595de3228cd2f3874b46ab479a0

History
#1 - 2012-08-30 12:40 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 16 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10721

#2 - 2012-08-30 15:12 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10721

#3 - 2012-08-30 15:38 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10721

#4 - 2012-08-30 16:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:20a8c74c3b5db0ce787c72cfdc44249a806690a1.

2015-08-03 2/2

http://review.typo3.org/10721

